Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2706 closed defect (fixed)

Buffer allocation of capture engine is broken on SMP configurations

Reported by: Sebastian Huber Owned by: Sebastian Huber <sebastian.huber@…>
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.11
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

The capture engine uses function static variables.

Change History (3)

comment:1 Changed on 05/12/16 at 11:35:52 by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In [changeset:"2f11d4a0144207321838f746471b56c4cfa40a0d/rtems"]:

capture: Fix buffer allocation and free

Do not use function static variables. Remove superfluous volatile
qualifiers. Use proper integer types.

Close #2706.

comment:2 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.